USE [TryNFeOnline]
GO

ALTER TABLE [dbo].[NFEntrega] ADD 
[cep] [varchar] (15) COLLATE Latin1_General_CI_AS NULL
GO
CREATE TABLE [dbo].[NumeracaoMovimento]
(
	[numero] [int] NOT NULL,
	[idFilial] [int] NOT NULL
) ON [PRIMARY]
GO
CREATE PROCEDURE [dbo].[OBTER_NUMERO_MOVIMENTO]
	-- Add the parameters for the stored procedure here
	@idFilial int
AS
BEGIN
	-- SET NOCOUNT ON added to prevent extra result sets from
	-- interfering with SELECT statements.
	SET NOCOUNT ON;
	declare @ultimoNumero int = 0
	
    -- Insert statements for procedure here
    IF  EXISTS (SELECT * FROM NumeracaoMovimento WHERE idFilial = @idFilial)
	BEGIN
		SET @ultimoNumero = (SELECT numero FROM NumeracaoMovimento WHERE idFilial = @idFilial)
		UPDATE NumeracaoMovimento SET numero = @ultimoNumero + 1 WHERE idFilial = @idFilial
	END
    ELSE
	BEGIN
		SET @ultimoNumero = COALESCE((SELECT MAX(nf.numeroMovimento) FROM notafiscal nf INNER JOIN nfEmitente ne on ne.idNotaFiscal = nf.id WHERE ne.idEmitente = @idFilial), 0)
		INSERT INTO NumeracaoMovimento(numero, idFilial) VALUES (@ultimoNumero + 1, @idFilial)
	END

	SELECT * FROM NumeracaoMovimento WHERE (idFilial = @idFilial)
END
GO
UPDATE selecao SET camposListar = 'p.numeroPedido as numero = Nº Pedido, p.id as id = Cód. Pedido, pa.id as idParceiro = Código, upper(pa.razaosocial) as razaosocial = Parceiro' WHERE tabela = 'pedido'
GO
UPDATE estado SET enderecoConsultaNFCeHomologacao = 'http://www.dfe.ms.gov.br/nfce', enderecoConsultaNFCeProducao = 'http://www.dfe.ms.gov.br/nfce' WHERE UF = 'MS'
GO
INSERT INTO VERSAO(VERSAO, VERSAOATUALIZACAO, DATAATUALIZACAO) VALUES(347, 605, GETDATE());